#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int n,m,q;
	cin>>n>>m>>q;

	vector<string> v(n);

	for(int i=0; i<n; i++) cin>>v[i];

	vector<int> deltas(n,0);

	for(int col=0; col<m; col++){
		int empty = 0;
		for(int row=n-1; row>=0; row--){
			if(v[row][col] == '*') deltas[empty]++;
			else empty++;
		}
	}

	vector<int> ps(n);

	ps[0] = deltas[0];

	for(int i=1; i<n; i++) ps[i] = deltas[i]+ps[i-1];

	for(int i=0; i<q; i++){
		int k;
		cin>>k;

		if(k>=ps.size()) cout << ps.back() <<'\n';
		else cout << ps[k] << '\n';
	}
}

